/**
 * Encrypt a message using the Romulus-M cryptography specification.
 * @param message The message to encrypt.
 * @param associatedData The associated data to encrypt.
 * @param nonce A 128 bit nonce.
 * @param key A 128 bit encryption key.
 * @returns The encrypted ciphertext.
 */
export declare function cryptoAeadEncrypt(message: number[], associatedData: number[], nonce: number[], key: number[]): number[];
/**
 * Decrypt a message using the Romulus-M cryptography specification.
 * @param ciphertext The ciphertext to decrypt.
 * @param associatedData The associated data.
 * @param nonce The nonce.
 * @param key The key.
 * @returns The decrypted plaintext.
 */
export declare function cryptoAeadDecrypt(ciphertext: number[], associatedData: number[], nonce: number[], key: number[]): number[];
