/**
 * Create a tweakey based on the specified domain separation, nonce, key and current counter state.
 * @param counter The counter.
 * @param domainSeparation The domain separation.
 * @param nonce The nonce.
 * @param key The encryption key.
 * @returns The tweakey.
 */
export declare function tweakeyEncode(counter: number[], domainSeparation: number, nonce: number[], key: number[]): number[];
/**
 * Perform a round of SKINNY-188/384+ encryption.
 * @param plaintext The plaintext to encrypt.
 * @param tweakey The tweakey to use for encryption.
 * @returns The ciphertext.
 */
export declare function skinnyEncrypt(plaintext: number[], tweakey: number[]): number[];
